App\Library\Amazon\Classes\Parts:
    xml_root_name: Parts
    properties:
        areBatteriesIncluded:
            expose: true
            access_type: public_method
            serialized_name: AreBatteriesIncluded
            accessor:
                getter: getAreBatteriesIncluded
                setter: setAreBatteriesIncluded
            type: boolean
        batteriesRequired:
            expose: true
            access_type: public_method
            serialized_name: BatteriesRequired
            accessor:
                getter: getBatteriesRequired
                setter: setBatteriesRequired
            type: boolean
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryLife
            accessor:
                getter: getBatteryLife
                setter: setBatteryLife
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        frontBrakeDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontBrakeDescription
            accessor:
                getter: getFrontBrakeDescription
                setter: setFrontBrakeDescription
            type: string
        frontSuspensionDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontSuspensionDescription
            accessor:
                getter: getFrontSuspensionDescription
                setter: setFrontSuspensionDescription
            type: string
        frontWheelDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontWheelDescription
            accessor:
                getter: getFrontWheelDescription
                setter: setFrontWheelDescription
            type: string
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        oemEquivalentPartNumber:
            expose: true
            access_type: public_method
            serialized_name: OemEquivalentPartNumber
            accessor:
                getter: getOemEquivalentPartNumber
                setter: setOemEquivalentPartNumber
            type: string
        partPosition:
            expose: true
            access_type: public_method
            serialized_name: PartPosition
            accessor:
                getter: getPartPosition
                setter: setPartPosition
            type: string
        rearBrakeDescription:
            expose: true
            access_type: public_method
            serialized_name: RearBrakeDescription
            accessor:
                getter: getRearBrakeDescription
                setter: setRearBrakeDescription
            type: string
